/**
 * Shopware 5
 * Copyright (c) shopware AG
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Shopware" is a registered trademark of shopware AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 *
 * @category    Shopware
 * @package     Emotion
 * @subpackage  View
 * @version     $Id$
 * @author      shopware AG
 */

//{block name="backend/emotion/model/viewport"}
Ext.define('Shopware.apps.Emotion.model.Viewport', {

    extend: 'Ext.data.Model',

    fields: [
        //{block name="backend/emotion/model/viewport/fields"}{/block}
        { name: 'id', type: 'int' },
        { name: 'elementId', type: 'int' },
        { name: 'emotionId', type: 'int' },
        { name: 'alias', type: 'string' },
        { name: 'startRow', type: 'int', defaultValue: 1 },
        { name: 'startCol', type: 'int', defaultValue: 1 },
        { name: 'endRow', type: 'int', defaultValue: 1 },
        { name: 'endCol', type: 'int', defaultValue: 1 },
        { name: 'visible', type: 'boolean', defaultValue: false }
    ]
});
//{/block}
